BearSSL: br_rsa_private_key Struct Reference

BearSSL

Data Fields
br_rsa_private_key Struct Reference

RSA private key. More...

`#include <bearssl_rsa.h>`

## Data Fields
uint32_t | n_bitlen
| Modulus bit length (in bits, exact value). More...
unsigned char * | p
| First prime factor. More...
size_t | plen
| First prime factor length (in bytes). More...
unsigned char * | q
| Second prime factor. More...
size_t | qlen
| Second prime factor length (in bytes). More...
unsigned char * | dp
| First reduced private exponent. More...
size_t | dplen
| First reduced private exponent length (in bytes). More...
unsigned char * | dq
| Second reduced private exponent. More...
size_t | dqlen
| Second reduced private exponent length (in bytes). More...
unsigned char * | iq
| CRT coefficient. More...
size_t | iqlen
| CRT coefficient length (in bytes). More...

## Detailed Description

RSA private key.

The structure references the private factors, reduced private exponents, and CRT coefficient. It also contains the bit length of the modulus. The big integers use unsigned big-endian representation; extra leading bytes of value 0 are allowed. However, the modulus bit length (`n_bitlen`) MUST be exact.

## Field Documentation

## ◆ dp

unsigned char* br_rsa_private_key::dp

First reduced private exponent.

## ◆ dplen

size_t br_rsa_private_key::dplen

First reduced private exponent length (in bytes).

## ◆ dq

unsigned char* br_rsa_private_key::dq

Second reduced private exponent.

## ◆ dqlen

size_t br_rsa_private_key::dqlen

Second reduced private exponent length (in bytes).

## ◆ iq

unsigned char* br_rsa_private_key::iq

CRT coefficient.

## ◆ iqlen

size_t br_rsa_private_key::iqlen

CRT coefficient length (in bytes).

## ◆ n_bitlen

uint32_t br_rsa_private_key::n_bitlen

Modulus bit length (in bits, exact value).

## ◆ p

unsigned char* br_rsa_private_key::p

First prime factor.

## ◆ plen

size_t br_rsa_private_key::plen

First prime factor length (in bytes).

## ◆ q

unsigned char* br_rsa_private_key::q

Second prime factor.

## ◆ qlen

size_t br_rsa_private_key::qlen

Second prime factor length (in bytes).

The documentation for this struct was generated from the following file:

- bearssl_rsa.h